RTEMS: SMDK2410

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Modules | Files | Macros | Functions
SMDK2410
Board Support Packages » ARM

SMDK2410 Board Support Package. More...

## Modules
| SMC Disk Driver
| SMC Disk Driver Support.

## Files
file | bsp.h
| Global BSP definitons.

## Macros
#define | BSP_FEATURE_IRQ_EXTENSION
#define | BSP_OSC_FREQ 12000000
| 12 MHz oscillator
#define | M_MDIV 81
| FCLK=133Mhz.
#define | M_PDIV 2
#define | M_SDIV 1
#define | M_CLKDIVN 2
| HCLK=FCLK/2, PCLK=FCLK/2.
#define | REFEN 0x1
| enable refresh
#define | TREFMD 0x0
| CBR(CAS before RAS)/auto refresh.
#define | Trp 0x0
| 2 clk
#define | Trc 0x3
| 7 clk
#define | Tchr 0x2
| 3 clk

## Functions
void * | bsp_idle_thread (uintptr_t ignored)
| This BSP provides its own IDLE thread to override the RTEMS one.
uint32_t | get_FCLK (void)
| functions to get the differents s3c2400 clks
uint32_t | get_HCLK (void)
uint32_t | get_PCLK (void)
uint32_t | get_UCLK (void)

## Detailed Description

SMDK2410 Board Support Package.

## Function Documentation

## ◆ bsp_idle_thread()

void * bsp_idle_thread | ( | uintptr_t | ignored | ) |

This BSP provides its own IDLE thread to override the RTEMS one.

So we prototype it and define the constant confdefs.h expects to configure a BSP specific one.

This BSP provides its own IDLE thread to override the RTEMS one.

This idle task sets the power mode to idle. This causes the processor clock to be stopped, while on-chip peripherals remain active. Any enabled interrupt from a peripheral or an external interrupt source will cause the processor to resume execution.

To enable the idle task use the following in the system configuration:

#include <bsp.h>
#define CONFIGURE_INIT
#define CONFIGURE_IDLE_TASK_BODY bsp_idle_thread
#include <confdefs.h>
confdefs.h
Evaluate Configuration Options.

This BSP provides its own IDLE thread to override the RTEMS one.

Optimized idle task.

The MSR[POW] bit is set to put the CPU into the low power mode defined in HID0. HID0 is set during starup in start.S.

This BSP provides its own IDLE thread to override the RTEMS one.

This idle task sets the power mode to idle. This causes the processor clock to be stopped, while on-chip peripherals remain active. Any enabled interrupt from a peripheral or an external interrupt source will cause the processor to resume execution.

To enable the idle task use the following in the system configuration:

#include <bsp.h>
#define CONFIGURE_INIT
#define CONFIGURE_IDLE_TASK_BODY bsp_idle_thread
#include <confdefs.h>

Optimized idle task.

The MSR[POW] bit is set to put the CPU into the low power mode defined in HID0. HID0 is set during starup in start.S.